From ced49f5791cc0f9bb2c7494b5faa22f53e289374 Mon Sep 17 00:00:00 2001
From: Kenneth Keiter <ken@kenkeiter.com>
Date: Tue, 7 Jun 2011 10:57:38 -0700
Subject: [PATCH] Add beer and honey badger to Redmine bot.

---
 util/redmine-bot/bot.rb |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)

diff --git a/util/redmine-bot/bot.rb b/util/redmine-bot/bot.rb
index 109f175..ba89c51 100644
--- a/util/redmine-bot/bot.rb
+++ b/util/redmine-bot/bot.rb
@@ -71,6 +71,40 @@ bot = Cinch::Bot.new do
       pp e.backtrace
     end
   end
+  
+  on :channel, /^!beer (.+)/ do |m, text|
+    begin
+      m.reply "\u000305[-]D\u000f +1 beer owed to #{text.strip}!"
+    rescue Exception => e
+      pp e.backtrace
+    end
+  end
+  
+  on :channel, /^!hb (.+)/ do |m, text|
+    begin
+      m.reply [
+        '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~',
+        '                ___,,___',
+        '           _,-=\'=- =-  -`"--.__,,.._',
+        '        ,-;// /  - -       -   -= - "=.',
+        '      ,\'///    -     -   -   =  - ==-=\`.',
+        '     |/// /  =    `. - =   == - =.=_,,._ `=/|',
+        '    ///    -   -    \  - - = ,ndDMHHMM/\b  \\',
+        '  ,\' - / /        / /\ =  - /MM(,,._`YQMML  `|',
+        ' <_,=^Kkm / / / / ///H|wnWWdMKKK#""-;. `"0\  |',
+        '        `""QkmmmmmnWMMM\""WHMKKMM\   `--. \> \\',
+        '              `""\'  `->>>    ``WHMb,.    `-_<@)',
+        '                                `"QMM`.',
+        '                                   `>>>',
+        '',
+        "\u000f Honey badger #{text.strip}",
+        '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
+      ].join("\n\u000305")
+    rescue Exception => e
+      pp e.backtrace
+    end
+  end
+  
 end
 
 bot.start
-- 
1.7.4.1

